Subject: Re: Walk around
From: "Steve Bamford" <[email-masked]>
To: "Udo Teuteberg" <[email-masked]>
Date: Thu, 26 Jul 2001 12:58:52 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
----- Original Message -----
From: "Udo Teuteberg" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, June 09, 2001 2:57 AM
Subject: Walk around

> Hi Steve!
> Here are some pics from the RAF Victor Tanker. I hope the quality is good
> enough for your walk around board. I made the pictures few years ago on
open
> day in Volkel AB, Netherlands. I know, there are only five pics, but
better
> than nothing. Best regards, Udo Teuteberg from Germany.
>
>
>
>
>